$(document).ready(function(){
		
	/*var loader = jQuery('<div id="loader"><img src="js/loadingr.gif" alt="loading..." /></div>')
		.css({top: "1px", left: "1px"}).hide().appendTo("#loading");*/

	/*$('#main').ajaxStart(function(){ 
		$("#loading").show(); 
		loader.show();	
		$("#main").hide(); 
	});
	
	$('#main').ajaxStop(function(){ 
		$("#loading").hide(); 
		loader.hide(); 	
		$("#main").show();
	});
	*/
	
	$('#loading').ajaxStart(function() {				
		var top1=($(window).height() / 4  + $(window).scrollTop()) + "px";
		var left1=($(window).width() / 2 + $(window).scrollLeft()) + "px";
		$(this).css({ top:  top1, left:  left1 }).show();
		}).ajaxStop(function() {
		$(this).hide();
	}); 

	$("#nav").load("nav.php");
	$("#main").load("primeira.php");
	
	$(".botao_botao a").livequery('click', function() { 
		var options = {};
		var cmd = $(this).text();
		if(cmd.toLowerCase() == "guardar"){
			$("#dataform").submit();
			//guarda();
			return false;
		}
		if(cmd.toLowerCase() == "procurar"){
			options["procurar"] = $("#textoprocurar").val(); 
			if($("#data_inicio").val())
				options["data_inicio"] = $("#data_inicio").val();
			if($("#data_fim").val())
				options["data_fim"] = $("#data_fim").val();				
		}
		var href = this.href.split("?")[1];
		$("#main").load("main.php?"+href, options); 
		return false;
	});

	$(".btn_cancelar").livequery('click', function() { 
		$("#main").load("main.php?cmd=Cancelar");
		return false; 
	});
	
/*	$("#preview").livequery('click', function() { 
		$("#dataform").submit();
		link = $("#linkPreview").val();
		window.open(link);
		return false; 
	});*/ 

	//var object;
	$("#lista td a").livequery('click', function() {  	
		object = null;
		object = this;
		if(testaAccao(this) == true)
			loadMain(this);
		return false;
	});

	$(".miniTable a").livequery('click', function() { 
		object = null;
		object = this;
		if(testaAccao(this) == true){
			loadMain(this);
		}
		return false;
	});		

	$(".pendentes a").livequery('click', function() { 
		loadMain(this);
		return false;
	});	
	
	$(".layer_apagar_ok").livequery('click', function() {
		loadMain(object);
		$.modal.close();
		return false; 
	});
	
	
	$(".escolheEstado").livequery('change', function() {
		var options = {};
		options["estado"] = $(this).val();
		$("#main").load("main.php", options);	
	}); 
	
	$(".conteudoCategoria a").livequery('click', function() { 
		loadMain(this);
		return false;
	});	
	
});

function testaAccao(object){
	url = object.href.split("?")[1];
	request = url.split("&");
	for ( var i in request )
	{
		if(request[i] == "cmd=apagar"){
			$("#layer_apagar").modal();
			return false;
		}
	}	
	return true;
}

function loadMain(object){	
	var href = object.href.split("?")[1];
	$("#main").load("main.php?"+href); 
}